<form #FormInsertProfile="ngForm" name="FormInsertProfile">
    <div class="modal-header">
        <h4 id="dialog-sizes-name1" class="modal-title pull-left">Inserimento Profilo</h4>
    </div>
    <app-alert [scope]="AlertScope.MODAL"></app-alert>
    <div class="modal-body">
        <div class="form-group"
            [ngClass]="{'has-error' : (CodiceIam.invalid && (CodiceIam.dirty || CodiceIam.touched))}">
            <label class="font-weight-bold">Codice Iam: </label>
            <input type="text" class="form-control " placeholder="Codice Iam" name="code" [(ngModel)]="model.code"
                maxlength="50" #CodiceIam="ngModel" required>
            <div *ngIf="(CodiceIam.invalid && (CodiceIam.dirty || CodiceIam.touched))" class="validation-messages">
                <div *ngIf="CodiceIam.errors.required; then requiredErr else invalidErr"> </div>
                <ng-template #requiredErr>Campo Obbligatorio</ng-template>
                <ng-template #invalidErr>{{CodiceIam.errors.error}}</ng-template>
            </div>
        </div>
        <div class="form-group" [ngClass]="{'has-error' : (NameRef.invalid && (NameRef.dirty || NameRef.touched))}">
            <label class="font-weight-bold">Nome: </label>
            <input type="text" class="form-control " placeholder="Inserisci un Nome" name="name"
                [(ngModel)]="model.name" required maxlength="50" #NameRef="ngModel">
            <div *ngIf="(NameRef.invalid && (NameRef.dirty || NameRef.touched))" class="validation-messages">
                <div *ngIf="NameRef.errors.required; then requiredErr else invalidErr"> </div>
                <ng-template #requiredErr>Campo Obbligatorio</ng-template>
                <ng-template #invalidErr>{{NameRef.errors.error}}</ng-template>
            </div>
        </div>
        <div class="form-group"
            [ngClass]="{'has-error' : (DescriptionRef.invalid && (DescriptionRef.dirty || DescriptionRef.touched))}">
            <label class="font-weight-bold">Descrizione: </label>
            <input type="text" class="form-control " placeholder="Inserisci una Descrizione" name="description"
                [(ngModel)]="model.description" required maxlength="500" #DescriptionRef="ngModel">
            <div *ngIf="(DescriptionRef.invalid && (DescriptionRef.dirty || DescriptionRef.touched))"
                class="validation-messages">
                <div *ngIf="DescriptionRef.errors.required; then requiredErr else invalidErr"> </div>
                <ng-template #requiredErr>Campo Obbligatorio</ng-template>
                <ng-template #invalidErr>{{DescriptionRef.errors.error}}</ng-template>
            </div>
        </div>
    </div>
    <div class="modal-footer" >
        <div class="row" style="display: inline">
            <div class="col">
                <button (click)="close()" type="button" class="btn btn-sm btn-danger size buttonCancel">Annulla</button>
                <button type="button" class="btn btn-sm btn-success size buttonConfirm" [disabled]="!FormInsertProfile.valid"
                    (click)="insertProfile()">Conferma</button>
            </div>
        </div>
    </div>
</form>